Subject: howto hibernate (suspend-to-disk) G4 PowerBook Titanium IV

From: Lixus Zoran <[email-masked]>
Date: Mon, 8 Oct 2007 09:08:12 +0200

Hello,

I own a Titanium PowerBook with a G4 processor.
It runs Ubuntu dapper 6.06 LTS.
Suspend to RAM works fine with pbbuttonsd.

But I would like to have hibernate (suspend-to-disk) working.
But if I replace "suspend-to-ram" by "suspend-to-disk" in 
/etc/pbbuttonsd.conf and close the lid then it just blanks the screen,
even if X is not running.

I found a lot of approaches howto possible hibernate,

a) swsuspend http://suspend.sf.net 
b) Suspend2  (this only works on i368 ?)
c) pbbuttonsd ?
d) uswsusp 
e) pmdisk

but where should I put my effords in ?

TIA, Lixus

# cat /proc/cpuinfo 
processor       : 0
cpu             : 7455, altivec supported
clock           : 667.000000MHz
revision        : 0.2 (pvr 8001 0302)
bogomips        : 66.56
timebase        : 33331380
machine         : PowerBook3,5
motherboard     : PowerBook3,5 MacRISC2 MacRISC Power Macintosh
detected as     : 80 (PowerBook Titanium IV)
pmac flags      : 0000001b
L2 cache        : 256K unified
pmac-generation : NewWorld